evolve: drop 4.6 compat in fixedcopytracing(), update the docstring

Looks like the fix for this function that originally targeted 4.6 got into core
after much more time than planned: the fixed version of this function was only
accepted in 5.0 (7694b685bb10).
8 jobs for topic/default/bye-4.6 in 4 minutes and 35 seconds (queued for 6 seconds)
Status Job ID Name Coverage
  Test
passed checks-py2 #243944

00:02:00

passed checks-py3 #243945

00:01:56

passed doc #243950

00:00:19

manual pytype #243943
allowed to fail manual
passed tests-py2-cext #243946

00:03:30

passed tests-py2-pure #243947

00:04:18

passed tests-py3-cext #243948

00:04:31

passed tests-py3-pure #243949

00:04:34